## Copyright (C) 2018 jdonoghue
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {@var{value} =} readVoltage (@var{obj}, @var{pin})
## Read digital value @var{value} from digital I/O @var{pin}.
##
## pin is a string name of the pin to write to.
## value is the logicl value (0, 1, true false) to write to the pin
##
## @seealso{}
## @end deftypefn

## Author: jdonoghue <jdonoghue@JYRW4S1>
## Created: 2018-05-15

function [dataOut,payloadSize] = sendCommand (obj, libname, commandid, data, timeout)
  if nargin < 4
    show_usage();
  endif

  # NOTE: currently libname is ignored

  if (nargin < 5)
     timeout = 5;
  endif

  [dataOut, status] = __sendCommand__ (obj, commandid, data, timeout);
 
  if status != 0
    error ("sendCommand: failed valid response err=%d", status);
  endif 
  
  payloadSize = numel(dataOut);
endfunction
