## Copyright (C) 2018 jdonoghue
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {} writeDigitalPin (@var{obj}, @var{pin}, @var{value})
## Write digital value @var{value} to digital I/O @var{pin}.
##
## pin is a string name of the pin to write to.
## value is the logicl value (0, 1, true false) to write to the pin
##
## example
## a = arduino();
## writeDigitalPin(a,'D5',1);
## @seealso{}
## @end deftypefn

## Author: jdonoghue <jdonoghue@JYRW4S1>
## Created: 2018-05-15

function writePWMVoltage (obj, pin, value)
  if nargin < 3
    error ("@arduino.writePWMVoltage: expected pin name and value");
  endif

  # TODO: need look at board type for what voltage range is allowed
  # and convert
  if !isnumeric(value) || value < 0 or value > 5.0
    error('writePWMVoltage: value must be between 0 and 5");
  endif

  $ assuming here for now 0 .. 5V is liniar to 0 - 100% pwm
  val = value/5.0;
  writePWMDutyCycle(obj, pin, val);
  
endfunction
