## Copyright (C) 2018 jdonoghue
## 
## This program is free software: you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful, but
## WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see
## <https://www.gnu.org/licenses/>.

## -*- texinfo -*- 
## @deftypefn {} {} writeDigitalPin (@var{obj}, @var{pin}, @var{value})
## Write digital value @var{value} to digital I/O @var{pin}.
##
## pin is a string name of the pin to write to.
## value is the logicl value (0, 1, true false) to write to the pin
##
## example
## a = arduino();
## writeDigitalPin(a,'D5',1);
## @seealso{}
## @end deftypefn

## Author: jdonoghue <jdonoghue@JYRW4S1>
## Created: 2018-05-15

function dataOut = writeRead (obj, dataIn)
  dataOut = [];
  ARDUINO_SPI_WRITE = 10;

  if nargin < 2
    error ("@spidev.writeRead: expected dataIn");
  endif

  uData = uint8(dataIn);
  writeDigitalPin(obj.arduinoobj, obj.chipselectpin, 0);
  pause(.1);
  for i=1:numel(dataIn)
    # TOOO: need send which port num of spi are using 
    [tmp, sz] = sendCommand(obj.arduinoobj, "", ARDUINO_SPI_WRITE, [0 dataIn(i)]);
    dataOut(i) = tmp(2);
  endfor
  pause(.1);
  writeDigitalPin(obj.arduinoobj, obj.chipselectpin, 1);
  
endfunction
